Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.passage
Class VerseRangeTreeNode

    java.lang.Object
      org.crosswire.bibledesktop.passage.VerseRangeTreeNode

All Implemented Interfaces:
  TreeNode

    public class VerseRangeTreeNode

extends Object
implements TreeNode

BibleTreeNode.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: VerseRangeTreeNode.java,v 1.2 2004/09/08 19:57:58 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary
`private VerseRange` | `range` The range that we are displaying

Constructor Summary
`VerseRangeTreeNode(VerseRange range)`

Method Summary
`Enumeration` | `children()` Returns the children of the reciever as an Enumeration.
`boolean` | `getAllowsChildren()` Returns true if the receiver allows children.
`TreeNode` | `getChildAt(int index)` Returns the child `TreeNode` at index i
`int` | `getChildCount()` Returns the number of children `TreeNode`s the receiver contains.
`int` | `getIndex(TreeNode node)` Returns the index of `node` in the receivers children.
`TreeNode` | `getParent()` Returns the parent `TreeNode` of the receiver.
`boolean` | `isLeaf()` Returns true if the receiver is a leaf.
`String` | `toString()` Returns the children of the reciever as an Enumeration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### range

    private VerseRange range

  The range that we are displaying

Constructor Detail

### VerseRangeTreeNode

    public VerseRangeTreeNode(VerseRange range)

Method Detail

### getChildAt

    public TreeNode getChildAt(int index)

  Returns the child `TreeNode` at index i

  Specified by:
    `getChildAt` in interface `TreeNode`

### getChildCount

    public int getChildCount()

  Returns the number of children `TreeNode`s the receiver contains.

  Specified by:
    `getChildCount` in interface `TreeNode`

### getParent

    public TreeNode getParent()

  Returns the parent `TreeNode` of the receiver.

  Specified by:
    `getParent` in interface `TreeNode`

### getIndex

    public int getIndex(TreeNode node)

  Returns the index of `node` in the receivers children. If the receiver does not contain `node`, -1 will be returned.

  Specified by:
    `getIndex` in interface `TreeNode`

### getAllowsChildren

    public boolean getAllowsChildren()

  Returns true if the receiver allows children.

  Specified by:
    `getAllowsChildren` in interface `TreeNode`

### isLeaf

    public boolean isLeaf()

  Returns true if the receiver is a leaf.

  Specified by:
    `isLeaf` in interface `TreeNode`

### children

    public Enumeration children()

  Returns the children of the reciever as an Enumeration.

  Specified by:
    `children` in interface `TreeNode`

### toString

    public String toString()

  Returns the children of the reciever as an Enumeration.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD